Bug 1675017 - golang-github-fortytw2-leaktest: FTBFS in Fedora rawhide/f30
Summary: golang-github-fortytw2-leaktest: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-fortytw2-leaktest
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:34 UTC by Fedora Release Engineering
Modified: 2019-02-20 03:22 UTC (History)
5 users (show)

Fixed In Version: golang-github-fortytw2-leaktest-1.3.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-20 03:22:27 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (717 bytes, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:34:30 UTC
golang-github-fortytw2-leaktest failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32395349


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-fortytw2-leaktest at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-fortytw2-leaktest will be orphaned. Before branching of Fedora 31,
golang-github-fortytw2-leaktest will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:34:32 UTC
Created attachment 1530266 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:34:33 UTC
Created attachment 1530267 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:34:34 UTC
Created attachment 1530268 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 12:16:37 UTC
Tests are not vetable:
+ go test -buildmode pie -compiler gc -ldflags ' -extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\''' github.com/fortytw2/leaktest
BUILDSTDERR: # github.com/fortytw2/leaktest
BUILDSTDERR: ../../BUILDROOT/golang-github-fortytw2-leaktest-1.1.0-7.fc30.x86_64/usr/share/gocode/src/github.com/fortytw2/leaktest/leaktest_test.go:18:11: missing ... in args forwarded to printf-like function
FAIL	github.com/fortytw2/leaktest [build failed]


Note You need to log in before you can comment on or make changes to this bug.